// vectorEspec.h - Especialización explícita de la plantilla Vector
#if !defined( _VECTORESPEC_H_ )
#define _VECTORESPEC_H_
#include "vector.h"

template<> class Vector<void *> // declaración
{
  private:
    void **vector;  // puntero a la matriz de punteros
    int nElementos; // número de elementos de la matriz
  protected:
    void **asignarMem(int); // asignar memoria para vector
  public:
    Vector<void *>(int ne = 10);
    Vector<void *>(const Vector<void *>&);
    ~Vector<void *>() { delete [] vector; vector = 0; }
    Vector<void *>& operator=(const Vector<void *>&);
    void *& operator[](int i) { return vector[i]; }
    int longitud() const { return nElementos; }
};

#include "vectorEspec.cpp" // definición

#endif // _VECTORESPEC_H_

